Page MenuHomeFreeBSD

dns/dnscrypt-proxy: Update to version 1.8.1
ClosedPublic

Authored by jrm on Dec 19 2016, 5:10 PM.

Details

Summary

dns/dnscrypt-proxy: Update to version 1.8.1

PR: 215420 (has maintainer approval)
Upstream changelog: https://github.com/jedisct1/dnscrypt-proxy/releases

Test Plan

portlint -C: OK (warnings about shared libraries)
testport: OK (poudriere: 9.3-RELEASE-p48, i386, default options)
testport: OK (poudriere: 9.3-RELEASE-p48, amd64, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, i386, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, i386, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64, default options)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm retitled this revision from to dns/dnscrypt-proxy: Update to version 1.8.1.
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: swills, AMDmi3.

Maintainer request: Update MASTER_SITES to use https, but keep http entries
as backup.

Follow mat's suggestion and only list
https://download.dnscrypt.org/dnscrypt-proxy/ since https redirects to http
for this site.

dns/dnscrypt-proxy/Makefile
7–9 ↗(On Diff #23100)

So,

$ distilator .
200 [DISTFILE]  https://download.dnscrypt.org/dnscrypt-proxy/dnscrypt-proxy-1.8.1.tar.gz
200 [WWW]       http://dnscrypt.org
500 [DISTFILE]  https://www.dns-lab.com/downloads/dnscrypt-proxy/dnscrypt-proxy-1.8.1.tar.gz
200 [DISTFILE]  http://www.dns-lab.com/downloads/dnscrypt-proxy/dnscrypt-proxy-1.8.1.tar.gz

(from ports-mgmt/distilator)

It is right in saying the second one is an error, it does not work:

$ curl -I https://www.dns-lab.com/downloads/dnscrypt-proxy/dnscrypt-proxy-1.8.1.tar.gz
curl: (7) Failed to connect to www.dns-lab.com port 443: Connection refused

As for the last one:

$ curl -I http://www.dns-lab.com/downloads/dnscrypt-proxy/dnscrypt-proxy-1.8.1.tar.gz
HTTP/1.1 301 Moved Permanently
Date: Mon, 19 Dec 2016 19:10:44 GMT
Server: Apache
Location: http://dns-lab.com/downloads/dnscrypt-proxy/dnscrypt-proxy-1.8.1.tar.gz
Content-Type: text/html; charset=iso-8859-1

You should drop the www. from it, as it redirects anyway.

More fixes for MASTER_SITES.

swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Dec 20 2016, 4:28 PM
This revision was automatically updated to reflect the committed changes.
jrm marked an inline comment as done.